﻿using System;
using System.Collections.Generic;
using System.Text;

using YSystem;

namespace Template
{
    /// <summary>
    /// 自動採番マネージャクラスです。
    /// Singletonパターンです。
    /// GetAutoNoメソッドを使って、「Ｍ採番」テーブルより
    /// オブジェクトコードを指定して番号を取得します。
    /// </summary>
    class YCAutoNoManager : YCAutoNoBaseForSQLServer
    {
        private static YCAutoNoManager _instance = null;

        private YCAutoNoManager()
            : base()
        {
        }

        public override void Dispose()
        {
            if (this.IsDisposable)
            {
                _instance = null;
            }
            base.Dispose();
        }

        //Singletonのインスタンスです。
        public static YCAutoNoManager Instance
        {
            get
            {
                if (_instance == null) _instance = new YCAutoNoManager();
                return _instance;
            }
        }
    }
}
