﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace Template
{
    /// <summary>
    /// マスタメンテナンス用のコマンドクラスです。
    /// </summary>
    public abstract class YCCommandMasterMaintenance
    {
        //ユーザリストをオープンします。
        public static void OpenUserList()
        {
            YCUserList list = null;
            frmUserList frm = null;

            try
            {
                list = new YCUserList(YCConnectionManager.Instance.Connection);
                frm = new frmUserList();

                frm.List = list;
                frm.Show();

                list = null;
                frm = null;
            }
            catch (Exception e)
            {
                if (frm != null)
                {
                    try { frm.Dispose(); }
                    catch { }
                    frm = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

        //ユーザグループリストをオープンします。
        public static void OpenUserGroupList()
        {
            YCUserGroupList list = null;
            dlgUserGroupList dlg = null;

            try
            {
                list = new YCUserGroupList(YCConnectionManager.Instance.Connection);
                dlg = new dlgUserGroupList();

                dlg.List = list;
                DialogResult ret = dlg.ShowDialog(YCApplication.Instance.MdiParent);

                list = null;
                dlg = null;

                if (ret == DialogResult.OK)
                {
                    YCListManager.Instance.Lists["ユーザグループ"].Load(true);
                }
            }
            catch (Exception e)
            {
                if (dlg != null)
                {
                    try { dlg.Dispose(); }
                    catch { }
                    dlg = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

    }
}
